Package de.willuhn.jameica.hbci.io.ser

# Class ValueSerializer

java.lang.Object
de.willuhn.jameica.hbci.io.ser.DefaultSerializer<Double>
de.willuhn.jameica.hbci.io.ser.ValueSerializer

All Implemented Interfaces:
  `Serializer<Double>`

public class ValueSerializer extends DefaultSerializer<Double>
Implementierung eines Serializers fuer Geld-Betraege.

## Constructor Summary

Constructors
Constructor
Description
`ValueSerializer()`

## Method Summary

Modifier and Type
Method
Description
`String`
`serialize(Object context, Double value)`
Serialisiert das uebergebene Objekt.
`Double`
`unserialize(Object context, String value)`
Deserialisiert den uebergebenen Text.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValueSerializer

public ValueSerializer()

## Method Details

### serialize

public String serialize(Object context, Double value) throws IOException
Description copied from interface: `Serializer`
Serialisiert das uebergebene Objekt.

Specified by:
  `serialize` in interface `Serializer<Double>`
Overrides:
  `serialize` in class `DefaultSerializer<Double>`
Parameters:
  `context` - das Context-Objekt. In der Regel handelt es sich hier um die Bean, zu der das Attribut gehoert.
  `value` - das zu serialisierende Objekt.
Returns:
  das serialisierte Objekt.
Throws:
  `IOException`

### unserialize

public Double unserialize(Object context, String value) throws IOException
Description copied from interface: `Serializer`
Deserialisiert den uebergebenen Text.

Specified by:
  `unserialize` in interface `Serializer<Double>`
Overrides:
  `unserialize` in class `DefaultSerializer<Double>`
Parameters:
  `context` - das Context-Objekt. In der Regel handelt es sich hier um die Bean, zu der das Attribut gehoert.
  `value` - der zu deserialisierende Text.
Returns:
  das deserialisierte Objekt.
Throws:
  `IOException`